

I was suffering from depression and andgry with God. I felt like God had abandoned me because I had barely survived the abuse in the recent past. I thought my life was hell and nothing could be worse. My doctor had given me pills for my back pain. One night I drove to a quiet part of town and took all of the pills. My body became very cold and the pain inside me kept getting worse. It was horrible and my strength was slipping away as my breathing became harder and harder. I was slumped in the car seat and I knew I was dying.

I was suddenly very afraid, so I cried out to Jesus Christ with the last of my strength. Then my last breath slipped out and I was pulled out of my body and instantly into a black void. My spirit body was floating in the darkness and it was a lonely place. It felt like someone came up behind me with scissors and cut the cord connection to my body. I knew I was dead and couldn't go back. My thoughts were very fast, like lightning, and my mind was so clear and sharp. My senses were all heightened and my emotions felt more intense. For a long time I was alone in this darkness.

Then a speck of light became visible in the distance. I tried to move toward it. It didn't work because I was floating. So then I tried to fly or direct my floating towards the light, but my progress wasn't very good. The light came to me in a zigzag, erratic pattern and at great speed. It was at that moment that I realized the light was a Being. The Being of light was pure white and about 8 to 9 feet tall. I had a peaceful, loving feeling being in this Being's beautiful presence. I believe that Being was an angel. However, I felt like the Being was waiting for something. In my thoughts, I was thinking about how angry I was with God. I was not repentant for my self-murder. The Being of light left me in a flash.

I then felt like a blanket of fear fell on top of me. Never have I felt fear like that, and I have survived a number of murder attempts on my life. The terror gripped me. Then I felt a ice-cold burning sensation, like I was standing on top of Mount Everest. I have always hated the cold and I felt the extremely intense, burning ice. Then I felt big, long needles like the length of a knitting needle but sharp at the tip. The needles were being stabbed into every square inch of my body at the same time. Then the needles were ripped out, all at the same time and then stabbed back in. This was repeated over and over again. It never stopped. I heard screaming and realized it was my scream. I felt like there was a continual pulse of lightning from the tip of my skull to the bottom of my feet. The pain in that place of darkness was worse than anything I had ever felt on earth. It was hundreds or possibly thousands of times worse than what we feel on earth, as the spirit body is so very sensitive.

I was thinking about my life and my loved ones and how desperately I wanted for them to avoid this hellish place. I started screaming in my mind, 'I can't take it anymore! I am going crazy in this place let me out!!! Let me out!!!' then I heard what can only be described as demonic laughter that came from a Being right next to me. It was the most evil sound I have ever heard. The darkness was so complete and I could not see a thing. Then in a flash I was returned to my body.

My body had changed and felt like stone. Nothing would move and everything was solid, rock hard. I was taking the tiniest breaths through my nose. I focused on my big toe on my right foot and kept telling it to move. It took a very long time, but eventually it did a tiny wiggle. It took what I am guessing a couple hours before I could move my body enough to drive very slowly home in the early morning. I still did not have proper motor function and was extremely weak. I crawled out of the car and up the stairs. I got into my house and vomited up the pills taken earlier. My terror of dying again was very real in my mind. I refused to go to hospital as I was afraid they would lock me in a padded room and drug me up. I certainly couldn't tell them what I experienced or they would call me crazy. I did my best to repress the memory.

In my heart I knew with all my being that God is real and that Jesus heard my call before death. 'And it shall come to pass that whoever calls on the name of the Lord shall be saved.’ [Acts 2v21 New King James Version] Jesus heard my cry before death and he released me from a place that I can only describe as hell or the outer darkness referred to in Matthew 25v30 (NKJV), 'And cast the unprofitable servant into the outer darkness. There will be weeping and gnashing of teeth.'

This is my second chance at life. Thank you for reading my testimony. God bless you all.


